#include  "BASIC.H"
#include  "DATE.H"
#include  "LIST2.H"
#include  "MENU.H"
#include  "INPUT.H"
#include  "SORT.H"
#include  <BIOS.H>
#include  <STDIO.H>
#include  <STDLIB.H>
#include  <STRING.H>

#define   ALPHA          "ABCDEFGHIJKLMNOPQRSTUVWXYZ ,.-\"\'"
#define   ALPHANUMERIC   "ABCDEFGHIJKLMNOPQRSTUVWXYZ ,.-\"\'()0123456789"
#define   MAXRECORDS     100
#define   TRUE           1
#define   FALSE          0
#define   LP             STDPRN

typedef   enum { ABOUT=-1,ABOUT2, ADD, SELECT, COPY, DISPLAYSEL, EDIT,  
                 DISPLAYNUM, DISPLAYINDEX, HELP, PHELP, PINDEX, PSEL, 
                 RREMOVE, UNDO, SAVE, EXPORT, RQUIT
} MAIN_T;
typedef   enum { _NONE, _LAST, _FIRST, _PHONE, _DOB } SORT_T;
typedef   struct {
               char FIRST  [15];
               char MIDDLE [10];
               char LAST   [25];
} NAME_T;
typedef   struct {
               char STREET [40];
               char CITY   [25];
               char STATE  [04];
               char ZIP    [11];
} ADDRESS_T;
typedef   struct {
               int UNUSED:6;
               int DOBKNOWN:1;
               int SELECTED:1;
               int DELETED:1;
               int USED:1;
} FLAG_T;
typedef   union {
               int       MASK;
               FLAG_T    FLAG;
} MF_T;
typedef   struct {
               NAME_T    NAME;
               ADDRESS_T ADDRESS;
               char      PHONE [20];
               DATE_T    DOB;
               MF_T      MF;
} RECORD_T;

char *MENU1_TXT[18]= {    "THE ADDRESS BOOK", 
                         "A) Add a record",
                         "B) Select record(s)",
                         "C) Copy a record",
                         "D) Display selected records",
                         "E) Edit a record",
                         "F) Display a record by number",
                         "G) Display index of names",
                         "H) Help",
                         "I) Print Help",
                         "J) Print index of names",
                         "K) Print selected records",
                         "L) Remove a record",
                         "M) Undo (remove changes since save/start)",
                         "N) Save records",
                         "O) Export to ADDRBOOK.TXT",
                         "P) Exit"
}; /* MENU1_TXT */
          
char *MENU2_TXT[17] = { "EDIT MENU",
                         "A) First name",
                         "B) Middle name",
                         "C) Last name",
                         "D) Street address",
                         "E) City",
                         "F) State",
                         "G) Zip code",
                         "H) Phone number",
                         "I) Date of birth",
                         "J) Go to main menu"
};   /* MENU2_TXT */

char *MENU3_TXT[20] = {   "SELECTION OPTIONS", 
                         "A) Reset",
                         "B) Last name",
                         "C) First name",
                         "D) Phone number",
                         "E) Month of birth",
                         "F) Use selection"
}; /* MENU3_TXT */

char *MENU4_TXT[15] = {"SELECT MONTH OF BIRTH",
                             "A) Unknown",
                             "B) January",
                             "C) February",
                             "D) March",
                             "E) April",
                             "F) May",
                             "G) June",
                             "H) July",
                             "I) August",
                             "J) September",
                             "K) October",
                             "L) November",
                             "M) December"
}; /* MENU4_TXT */




