#ifndef H_H
#define H_H
#define _CLEAR87     _clear87
#define _CONTROL87   _control87
#define _EXIT        _exit
#define _EXPAND      _expand
#define _FFREE       _ffree
#define _FMALLOC     _fmalloc
#define _FMSIZE      _fmsize
#define _FPRESET     _fpreset
#define _FREECT      _freect
#define _MEMAVL      _memavl
#define _MSIZE       _msize
#define _NFREE       _nfree
#define _NMALLOC     _nmalloc
#define _NMSIZE      _nmsize
#define _TOLOWER     _tolower
#define _TOUPPER     _toupper
#define ABORT        abort
#define ABS          abs
#define ABSREAD      absread
#define ABSWRITE     abswrite
#define ACCESS       access
#define ACOS         acos
#define ALLOC        alloc
#define ALLOCMEM     allocmem
#define ASCTIME      asctime
#define ASIN         asin
#define ASM          asm
#define ASSERT       assert
#define ATAN         atan
#define ATEXIT       atexit
#define ATOF         atof
#define ATOI         atoi
#define ATOL         atol
#define AUTO         auto
#define BDOSPTR      bdosptr
#define BIOSCOM      bioscom
#define BIOSDISK     biosdisk
#define BIOSEQUIP    biosequip
#define BIOSKEY      bioskey
#define BIOSMEMORY   biosmemory
#define BIOSPRINT    biosprint
#define BOX          box
#define BREAK        break
#define BRK          brk
#define BSEARCH      bsearch
#define CABS         cabs
#define CALLOC       calloc
#define CASE         case
#define CEIL         ceil
#define CGETS        cgets
#define CHAR         char
#define CHDIR        chdir
#define CHMOD        chmod
#define CHSIZE       chsize
#define CIRCLE       circle
#define CLEARERR     clearerr
#define CLOCK        clock
#define CLOSE        close
#define CLRSCRN      clrscrn
#define CLRSCRN2     clrscrn2
#define CONTINUE     continue
#define CORELEFT     coreleft
#define COS          cos
#define COSH         cosh
#define COUNTRY      country
#define CPRINTF      cprintf
#define CPUTS        cputs
#define CREAT        creat
#define CSCANF       cscanf
#define CTIME        ctime
#define CTRLBRK      ctrlbrk
#define CURSBLK      cursblk
#define CURSCOL      curscol
#define CURSLIN      curslin
#define CURSOFF      cursoff
#define CURSON       curson
#define CURSROW      cursrow
#define DATE         date
#define DA_DAY       da_day
#define DA_MON       da_mon
#define DA_YEAR      da_year
#define DEFAULT      default
#define DIFFTIME     difftime
#define DISABLE      disable
#define DIV          div
#define DO           do
#define DOSEXTERR    dosexterr
#define DOSTOUNIX    dostounix
#define DOUBLE       double
#define DUP          dup
#define DUP2         dup2
#define ECVT         ecvt
#define ELLIPSE      ellipse
#define ELSE         else
#define ENABLE       enable
#define ENUM         enum
#define EXECL        execl
#define EXECLE       execle
#define EXECLP       execlp
#define EXECLPE      execlpe
#define EXECV        execv
#define EXECVE       execve
#define EXECVP       execvp
#define EXECVPE      execvpe
#define EXIT         exit
#define EXITMSG      exitmsg
#define EXP          exp
#define EXTERN       extern
#define FABS         fabs
#define FAR          far
#define FARCALLOC    farcalloc
#define FARCORELEFT  farcoreleft
#define FARFREE      farfree
#define FARMALLOC    farmalloc
#define FARMEMCCPY   farmemccpy
#define FARMEMCHR    farmemchr
#define FARMEMCMP    farmemcmp
#define FARMEMCPY    farmemcpy
#define FARMEMICMP   farmemicmp
#define FARMEMMOVE   farmemmove
#define FARMEMSET    farmemset
#define FARREALLOC   farrealloc
#define FARSETSIZE   farsetsize
#define FARSTRCAT    farstrcat
#define FARSTRCHR    farstrchr
#define FARSTRCMP    farstrcmp
#define FARSTRCMPI   farstrcmpi
#define FARSTRCPY    farstrcpy
#define FARSTRCSPN   farstrcspn
#define FARSTRDUP    farstrdup
#define FARSTRISTR   farstristr
#define FARSTRLEN    farstrlen
#define FARSTRLWR    farstrlwr
#define FARSTRNCAT   farstrncat
#define FARSTRNCMP   farstrncmp
#define FARSTRNCPY   farstrncpy
#define FARSTRNICMP  farstrnicmp
#define FARSTRNSET   farstrnset
#define FARSTRPBRK   farstrpbrk
#define FARSTRRCHR   farstrrchr
#define FARSTRREV    farstrrev
#define FARSTRSET    farstrset
#define FARSTRSPN    farstrspn
#define FARSTRSTR    farstrstr
#define FARSTRTOK    farstrtok
#define FARSTRUPR    farstrupr
#define FARTOL       fartol
#define FCLOSE       fclose
#define FCLOSEALL    fcloseall
#define FCVT         fcvt
#define FDOPEN       fdopen
#define FEOF         feof
#define FERROR       ferror
#define FFLUSH       fflush
#define FGETC        fgetc
#define FGETPOS      fgetpos
#define FGETS        fgets
#define FILELENGTH   filelength
#define FILENO       fileno
#define FILL         fill
#define FILL_STYLE   fill_style
#define FINDFIRST    findfirst
#define FINDNEXT     findnext
#define FLOAT        float
#define FLOOD        flood
#define FLOOR        floor
#define FLUSHALL     flushall
#define FMOD         fmod
#define FNMERGE      fnmerge
#define FNSPLIT      fnsplit
#define FOPEN        fopen
#define FOR          for
#define FPRINTF      fprintf
#define FPUTC        fputc
#define FPUTCHAR     fputchar
#define FPUTS        fputs
#define FREAD        fread
#define FREE         free
#define FREEMEM      freemem
#define FREOPEN      freopen
#define FREXP        frexp
#define FSCANF       fscanf
#define FSEEK        fseek
#define FSETPOS      fsetpos
#define FSTAT        fstat
#define FTELL        ftell
#define FTIME        ftime
#define FTOA         ftoa
#define FWRITE       fwrite
#define GCVT         gcvt
#define GENINTERRUPT geninterrupt
#define GETC         getc
#define GETCBRK      getcbrk
#define GETCH        getch
#define GETCHAR      getchar
#define GETCHE       getche
#define GETCSEG      getcseg
#define GETCURDIR    getcurdir
#define GETCWD       getcwd
#define GETDATE      getdate
#define GETDFREE     getdfree
#define GETDISK      getdisk
#define GETDSEG      getdseg
#define GETDTA       getdta
#define GETENV       getenv
#define GETFAT       getfat
#define GETFATD      getfatd
#define GETFTIME     getftime
#define GETKEY       getkey
#define GETPASS      getpass
#define GETPID       getpid
#define GETPIXEL     getpixel
#define GETPSP       getpsp
#define GETS         gets
#define GETTIME      gettime
#define GETVCONFIG   getvconfig
#define GETVECT      getvect
#define GETVERIFY    getverify
#define GETVMODE     getvmode
#define GETW         getw
#define GMTIME       gmtime
#define GOTO         goto
#define HALLOC       halloc
#define HARDERR      harderr
#define HARDRESUME   hardresume
#define HARDRETN     hardretn
#define HFREE        hfree
#define HYPOT        hypot
#define IF           if
#define INP          inp
#define INPORT       inport
#define INPORTB      inportb
#define INT          int
#define INT86        int86
#define INT86X       int86x
#define INTDOS       intdos
#define INTDOSX      intdosx
#define IOCTL        ioctl
#define ISALNUM      isalnum
#define ISALPHA      isalpha
#define ISASCII      isascii
#define ISATTY       isatty
#define ISCNTRL      iscntrl
#define ISDIGIT      isdigit
#define ISGRAPH      isgraph
#define ISLOWER      islower
#define ISPRINT      isprint
#define ISPUNCT      ispunct
#define ISSPACE      isspace
#define ISUPPER      isupper
#define ISXDIGIT     isxdigit
#define ITOA         itoa
#define J0           j0
#define J1           j1
#define JN           jn
#define KBHIT        kbhit
#define KEEP         keep
#define LABS         labs
#define LDEXP        ldexp
#define LDIV         ldiv
#define LFIND        lfind
#define LINE_BY      line_by
#define LINE_STYLE   line_style
#define LINE_TO      line_to
#define LOCALTIME    localtime
#define LOCKING      locking
#define LOG          log
#define LOG10        log10
#define LONG         long
#define LONGJMP      longjmp
#define LSEARCH      lsearch
#define LSEEK        lseek
#define LTOFAR       ltofar
#define MAIN         main
#define MALLOC       malloc
#define MATHERR      matherr
#define MEMCCPY      memccpy
#define MEMCHR       memchr
#define MEMCMP       memcmp
#define MEMCPY       memcpy
#define MEMICMP      memicmp
#define MEMMOVE      memmove
#define MEMSET       memset
#define MKDIR        mkdir
#define MKTEMP       mktemp
#define MKTIME       mktime
#define MODF         modf
#define MOVE_BY      move_by
#define MOVE_TO      move_to
#define MOVEDATA     movedata
#define MOVMEM       movmem
#define ONEXIT       onexit
#define OPEN         open
#define OUTP         outp
#define OUTPORT      outport
#define OUTPORTB     outportb
#define PARSFNM      parsfnm
#define PEEK         peek
#define PEEKB        peekb
#define PEN_COLOR    pen_color
#define PERROR       perror
#define PIE          pie
#define PLOTCH       plotch
#define PLOTS        plots
#define POKE         poke
#define POKEB        pokeb
#define POLY         poly
#define POSCURS      poscurs
#define POW          pow
#define POW10        pow10
#define PRINTF       printf
#define PUTC         putc
#define PUTCH        putch
#define PUTCHAR      putchar
#define PUTENV       putenv
#define PUTS         puts
#define PUTW         putw
#define QSORT        qsort
#define RAISE        raise
#define RAND         rand
#define READ         read
#define READATTR     readattr
#define READCH       readch
#define READDOT      readdot
#define REALLOC      realloc
#define REGISTER     register
#define REMOVE       remove
#define RENAME       rename
#define REPMEM       repmem
#define REPMOV       repmov
#define RETURN       return
#define REWIND       rewind
#define RMDIR        rmdir
#define RMTEMP       rmtemp
#define SBRK         sbrk
#define SCANF        scanf
#define SEARCHPATH   searchpath
#define SEGREAD      segread
#define SETAPAGE     setapage
#define SETBLOCK     setblock
#define SETBUF       setbuf
#define SETCBRK      setcbrk
#define SETCOLOR     setcolor
#define SETDATE      setdate
#define SETDISK      setdisk
#define SETDTA       setdta
#define SETFTIME     setftime
#define SETJMP       setjmp
#define SETLOCALE    setlocale
#define SETMEM       setmem
#define SETMODE      setmode
#define SETPIXEL     setpixel
#define SETTIME      settime
#define SETVBUF      setvbuf
#define SETVECT      setvect
#define SETVERIFY    setverify
#define SETVMODE     setvmode
#define SETVPAGE     setvpage
#define SHORT        short
#define SIGNAL       signal
#define SIGNED       signed
#define SIN          sin
#define SINH         sinh
#define SIZEOF       sizeof
#define SLEEP        sleep
#define SOPEN        sopen
#define SOUND        sound
#define SPAWNL       spawnl
#define SPAWNLE      spawnle
#define SPAWNLP      spawnlp
#define SPAWNLPE     spawnlpe
#define SPAWNV       spawnv
#define SPAWNVE      spawnve
#define SPAWNVP      spawnvp
#define SPAWNVPE     spawnvpe
#define SPRINTF      sprintf
#define SQRT         sqrt
#define SRAND        srand
#define SSCANF       sscanf
#define STACKAVAIL   stackavail
#define STAT         stat
#define STATIC       static
#define STATUS87     status87
#define STDAUX       stdaux
#define STDERR       stderr
#define STDIN        stdin
#define STDOUT       stdout
#define STDPRN       stdprn
#define STIME        stime
#define STRCAT       strcat
#define STRCHR       strchr
#define STRCMP       strcmp
#define STRCMPI      strcmpi
#define STRCPY       strcpy
#define STRCSPN      strcspn
#define STRDUP       strdup
#define STRERROR     strerror
#define STRFTIME     strftime
#define STRISTR      stristr
#define STRLEN       strlen
#define STRLWR       strlwr
#define STRNCAT      strncat
#define STRNCMP      strncmp
#define STRNCPY      strncpy
#define STRNICMP     strnicmp
#define STRNSET      strnset
#define STRPBRK      strpbrk
#define STRRCHR      strrchr
#define STRREV       strrev
#define STRSET       strset
#define STRSPN       strspn
#define STRSTR       strstr
#define STRTOD       strtod
#define STRTOK       strtok
#define STRTOL       strtol
#define STRTOUL      strtoul
#define STRUCT       struct
#define STRUPR       strupr
#define SWAP         swap
#define SWITCH       switch
#define SYSTEM       system
#define TAN          tan
#define TANH         tanh
#define TELL         tell
#define TEMPNAM      tempnam
#define TIME         time
#define TMPFILE      tmpfile
#define TMPNAM       tmpnam
#define TOLOWER      tolower
#define TOUPPER      toupper
#define TYPEDEF      typedef
#define TZSET        tzset
#define ULTOA        ultoa
#define UMASK        umask
#define UNGETC       ungetc
#define UNGETCH      ungetch
#define UNION        union
#define UNIXTODOS    unixtodos
#define UNLINK       unlink
#define UNSIGNED     unsigned
#define UTIME        utime
#define VA_ARG       va_arg
#define VA_END       va_end
#define VA_START     va_start
#define VFPRINTF     vfprintf
#define VOID         void
#define VPRINTF      vprintf
#define VSPRINTF     vsprintf
#define WHILE        while
#define WRITE        write
#define WRITECH      writech
#define WRITECHS     writechs
#define WRITEDOT     writedot
#define Y0           y0
#define Y1           y1
#define YN           yn
#define R_X_AX       R.x.ax
#define R_X_BX       R.x.bx
#define R_X_CX       R.x.cx
#define R_X_DX       R.x.dx
#define R_H_AH       R.h.ah
#define R_H_BH       R.h.bh
#define R_H_CH       R.h.ch
#define R_H_DH       R.h.dh
#define R_H_AL       R.h.al
#define R_H_BL       R.h.bl
#define R_H_CL       R.h.cl
#define R_H_DL       R.h.dl

#endif
