#include "H.H"
#include  <STDIO.H>
#include  <STDLIB.H>
#include  "BASIC.H"

#define   FILENAME  "COLOR.DAT"

TYPEDEF STRUCT {
          CHAR BACKGROUND;
          CHAR CHARACTER_A;
          CHAR HIGHLIGHT_A;
          CHAR TYPE_M_CURS;
          CHAR COLOR_M_CURS;
} VIDEO_T;

CHAR *COLOR_[60]= { "BLACK",
                    "BLUE",
                    "GREEN",
                    "CYAN",
                    "RED",
                    "MAGENTA",
                    "BROWN",
                    "WHITE",
                    "DARK GREY",
                    "LIGHT BLUE",
                    "LIGHT GREEN",
                    "LIGHT CYAN",
                    "LIGHT RED",
                    "LIGHT MAGENTA",
                    "YELLOW",
                    "BRIGHT WHITE" };
INT MAIN(VOID)
{
     FILE      *FP;
     CHAR      TEMP[80];
     VIDEO_T   V = {0X07, 0X70, 0X07, 0X00, 0X7F} ;
     INT       C, I, H, L;

     FP = FOPEN(FILENAME, "RB");
     IF (FP) {
          FREAD(&V, SIZEOF(VIDEO_T), 1, FP);
          FCLOSE(FP);
     }
     CLS();
     FOR (I=0; I<8; I++)
          PRINTF("%2d  %-35s %2d  %s\n", I, COLOR_[I], I+8, COLOR_[I+8]);
     PUTCHAR('\n');

     DO {
          PRINTF("WHAT COLOR NUMBER FOR THE BORDER (0-7)  ");
          SCANF("%s", TEMP);
          L = ATOI(TEMP);
     } WHILE (L>7);
     V.BACKGROUND = L;

     DO {
          PRINTF("WHAT COLOR NUMBER FOR THE BACKGROUND (0-7)  ");
          SCANF("%s", TEMP);
          H = ATOI(TEMP);
     } WHILE (H>7);
     DO {
          PRINTF("WHAT COLOR NUMBER FOR THE CHARACTER (0-15)  ");
          SCANF("%s", TEMP);
          L = ATOI(TEMP);
     } WHILE (L>15);
     V.CHARACTER_A = H<<4|L;

     DO {
          PRINTF("WHAT COLOR NUMBER FOR THE HIGHLIGHTED BACKGROUND (0-7)  ");
          SCANF("%s", TEMP);
          H = ATOI(TEMP);
     } WHILE (H>7);
     DO {
          PRINTF("WHAT COLOR NUMBER FOR THE HIGHLIGHTED CHARACTER (0-15)  ");
          SCANF("%s", TEMP);
          L = ATOI(TEMP);
     } WHILE (L>15);
     V.HIGHLIGHT_A = H<<4|L;

     DO {
          PRINTF("WHAT COLOR NUMBER FOR THE MOUSE BACKGROUND (0-7)  ");
          SCANF("%s", TEMP);
          H = ATOI(TEMP);
     } WHILE (H>7);
     DO {
          PRINTF("WHAT COLOR NUMBER FOR THE MOUSE CHARACTER (0-15)  ");
          SCANF("%s", TEMP);
          L = ATOI(TEMP);
     } WHILE (L>15);
     V.COLOR_M_CURS = H<<4|L;

     DO {
          PRINTF("WHAT CHARACTER NUMBER FOR THE MOUSE CHARACTER (0..255)  ");
          SCANF("%s", TEMP);
          L = ATOI(TEMP);
     } WHILE (L>255);
     V.TYPE_M_CURS = L;

     PRINTF("\nSHOULD I SAVE THESE SETTINGS?  ");
     SCANF("%s", TEMP);
     C = TEMP[0];
     IF ((C == 'N')||(C == 'n')) {
          CLS();
          RETURN 1;
     }

     FP = FOPEN(FILENAME, "WB");
     FWRITE(&V, SIZEOF(VIDEO_T), 1, FP);
     FCLOSE(FP);
     CLS();

     RETURN 0;
}
